Subject: Hillary Clinton's REVENGE On Trump Voters? UNCENSORED VIDEO

From: "HSI Whistleblower" <[email-masked]>
Date: Wed, 25 Jan 2017 12:02:17 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.